> ## Documentation Index
> Fetch the complete documentation index at: https://docs.struct.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a builder's display metadata

> Returns name, website, twitter, icon URL, and description for the given builder code. Returns 200 with `null` body when no metadata has been registered for the code.



## OpenAPI

````yaml https://api.struct.to/openapi.json get /polymarket/builders/{builder_code}/metadata
openapi: 3.1.0
info:
  title: Polymarket API
  description: >-
    RESTful API for querying Polymarket prediction markets data including
    events, markets, traders, holders, and real-time metrics
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.struct.to/v1
security: []
paths:
  /polymarket/builders/{builder_code}/metadata:
    get:
      tags:
        - Builders
      summary: Get a builder's display metadata
      description: >-
        Returns name, website, twitter, icon URL, and description for the given
        builder code. Returns 200 with `null` body when no metadata has been
        registered for the code.
      operationId: get_builder_metadata
      parameters:
        - name: builder_code
          in: path
          description: Builder code.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Builder metadata. Body is `null` when no metadata has been
            registered for this builder.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuilderMetadata'
components:
  schemas:
    BuilderMetadata:
      type: object
      description: |-
        One row of `polymarket_builder_metadata`. Includes `builder_code` since
        it's used as the keying field on the standalone metadata endpoints.
      required:
        - builder_code
        - name
      properties:
        builder_code:
          type: string
        name:
          type: string
        website:
          type:
            - string
            - 'null'
        twitter:
          type:
            - string
            - 'null'
        icon_url:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'

````